/* iServer.cc
 */

#include	<string>
#include	<ctime>

#include	"iServer.h"
#include	"Numeric.h"

const char iServer_h_rcsId[] = __ISERVER_H ;
const char iServer_cc_rcsId[] = "$Id: iServer.cc,v 1.1.1.1 2002/05/11 05:36:54 customlinux Exp $" ;

using std::string ;

namespace euworld
{

iServer::iServer( const int& _uplink,
	const string& _yxx,
	const string& _name,
	const time_t& _connectTime,
	const time_t& _startTime,
	const int& _version )
: uplinkIntYY( _uplink ),
	name( _name ),
	connectTime( _connectTime ),
	startTime( _startTime ),
	version( _version )
{

if( _yxx.size() == 5 )
	{
	intYY = base64toint( _yxx.c_str(), 2 ) ;
	inttobase64( charYY, intYY, 2 ) ;
	}
else
	{
	intYY = convert2n[ _yxx[ 0 ] ] ;
	charYY[ 0 ] = _yxx[ 0 ] ;
	charYY[ 1 ] = 0 ;
	charYY[ 2 ] = 0 ;
	}

clients = servers = 0 ;
IP = 0 ;
}

iServer::~iServer()
{}

} // namespace euworld
